Skip to content
Navigation

List invites

GET
https://api.sureshake.com/v2/entities/{entityId}/collections/{id}/invites

Path parameters

  • entityId
    string
    required
    format: uuid
  • id
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • collectionId
      string
      required
      format: uuid
    • sharePermission
      viewer
      or
      download
      required
    • invites
      array of
      object
      required
      • id
        string
        required
        format: uuid
      • code
        string
        required
      • collectionId
        string
        required
        format: uuid
      • inviterUserId
        string
        required
      • permission
        viewer
        or
        download
        required
      • status
        active
        or
        revoked
        or
        expired
        required
      • expiresAt
        string
        or null
        required
      • maxUses
        number
        or null
        required
      • uses
        number
        required
      • createdAt
        string
        required
      • updatedAt
        string
        required
      • lastUsedAt
        optional
        string
        or null
      • inviteUrl
        optional
        string
      • qrPayload
        optional
        string
      • valid
        optional
        boolean
      • disabledReason
        optional
        revoked
        or
        expired
        or
        max_uses_reached
        or null
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close